Index: cbv2/src/mainboard/kontron/kt690/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/kontron/kt690/Options.lb
+++ cbv2/src/mainboard/kontron/kt690/Options.lb
@@ -20,9 +20,9 @@
 ##
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
@@ -121,17 +121,17 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=11
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ## ACPI tables will be included
-default CONFIG_HAVE_ACPI_TABLES=1
+default CONFIG_GENERATE_ACPI_TABLES=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/kontron/kt690/mptable.c
===================================================================
--- cbv2.orig/src/mainboard/kontron/kt690/mptable.c
+++ cbv2/src/mainboard/kontron/kt690/mptable.c
@@ -142,7 +142,7 @@ void *smp_write_config_table(void *v)
 	/* PCI interrupts are level triggered, and are
 	 * associated with a specific bus/device/function tuple.
 	 */
-#if CONFIG_HAVE_ACPI_TABLES == 0
+#if CONFIG_GENERATE_ACPI_TABLES == 0
 #define PCI_INT(bus, dev, fn, pin) \
         smp_write_intsrc(mc, mp_INT, MP_IRQ_TRIGGER_LEVEL|MP_IRQ_POLARITY_LOW, (bus), (((dev)<<2)|(fn)), apicid_sb600, (pin))
 #else
Index: cbv2/src/mainboard/lippert/frontrunner/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/lippert/frontrunner/Config.lb
+++ cbv2/src/mainboard/lippert/frontrunner/Config.lb
@@ -14,7 +14,7 @@ arch i386 end
 
 driver mainboard.o
 
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
 ##
Index: cbv2/src/mainboard/lippert/frontrunner/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/lippert/frontrunner/Options.lb
+++ cbv2/src/mainboard/lippert/frontrunner/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -26,7 +26,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -55,7 +55,7 @@ default CONFIG_HAVE_FALLBACK_BOOT=1
 ##
 ## no MP table
 ##
-default CONFIG_HAVE_MP_TABLE=0
+default CONFIG_GENERATE_MP_TABLE=0
 
 ##
 ## Build code to reset the motherboard from coreboot
@@ -70,7 +70,7 @@ default CONFIG_TSC_X86RDTSC_CALIBRATE_WI
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=2
 #object irq_tables.o
 
Index: cbv2/src/mainboard/lippert/roadrunner-lx/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/lippert/roadrunner-lx/Config.lb
+++ cbv2/src/mainboard/lippert/roadrunner-lx/Config.lb
@@ -36,7 +36,7 @@ arch i386 end
 
 driver mainboard.o
 
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 
Index: cbv2/src/mainboard/lippert/roadrunner-lx/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/lippert/roadrunner-lx/Makefile.inc
+++ cbv2/src/mainboard/lippert/roadrunner-lx/Makefile.inc
@@ -1,7 +1,7 @@
 driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/lippert/roadrunner-lx/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/lippert/roadrunner-lx/Options.lb
+++ cbv2/src/mainboard/lippert/roadrunner-lx/Options.lb
@@ -20,8 +20,8 @@
 
 ## Based on Options.lb from AMD's DB800 mainboard.
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -50,7 +50,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -91,7 +91,7 @@ default CONFIG_HAVE_FALLBACK_BOOT = 1
 ##
 ## no MP table
 ##
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 
 ##
 ## Build code to reset the motherboard from coreboot
@@ -106,7 +106,7 @@ default CONFIG_TSC_X86RDTSC_CALIBRATE_WI
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 7
 default CONFIG_PIRQ_ROUTE = 1
 
Index: cbv2/src/mainboard/lippert/spacerunner-lx/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/lippert/spacerunner-lx/Config.lb
+++ cbv2/src/mainboard/lippert/spacerunner-lx/Config.lb
@@ -35,7 +35,7 @@ arch i386 end
 
 driver mainboard.o
 
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 
Index: cbv2/src/mainboard/lippert/spacerunner-lx/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/lippert/spacerunner-lx/Makefile.inc
+++ cbv2/src/mainboard/lippert/spacerunner-lx/Makefile.inc
@@ -1,7 +1,7 @@
 driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/lippert/spacerunner-lx/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/lippert/spacerunner-lx/Options.lb
+++ cbv2/src/mainboard/lippert/spacerunner-lx/Options.lb
@@ -20,8 +20,8 @@
 
 ## Based on Options.lb from AMD's DB800 mainboard.
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -50,7 +50,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -91,7 +91,7 @@ default CONFIG_HAVE_FALLBACK_BOOT = 1
 ##
 ## no MP table
 ##
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 
 ##
 ## Build code to reset the motherboard from coreboot
@@ -106,7 +106,7 @@ default CONFIG_TSC_X86RDTSC_CALIBRATE_WI
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 7
 default CONFIG_PIRQ_ROUTE = 1
 
Index: cbv2/src/mainboard/mitac/6513wu/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/mitac/6513wu/Config.lb
+++ cbv2/src/mainboard/mitac/6513wu/Config.lb
@@ -24,7 +24,7 @@ include /config/nofailovercalculation.lb
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 makerule ./failover.E
Index: cbv2/src/mainboard/mitac/6513wu/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/mitac/6513wu/Options.lb
+++ cbv2/src/mainboard/mitac/6513wu/Options.lb
@@ -27,9 +27,9 @@ uses CONFIG_DEFAULT_CONSOLE_LOGLEVEL
 uses CONFIG_FALLBACK_SIZE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_HAVE_OPTION_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_HEAP_SIZE
 uses CONFIG_IRQ_SLOT_COUNT
 uses CONFIG_MAINBOARD
@@ -64,8 +64,8 @@ uses HOSTCC
 default CONFIG_MAINBOARD_VENDOR = "Mitac"
 default CONFIG_MAINBOARD_PART_NUMBER = "6513WU"
 default CONFIG_IRQ_SLOT_COUNT = 8
-default CONFIG_HAVE_PIRQ_TABLE = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_HAVE_OPTION_TABLE = 0
 default CONFIG_USE_OPTION_TABLE = 0
 
Index: cbv2/src/mainboard/msi/ms6119/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/msi/ms6119/Config.lb
+++ cbv2/src/mainboard/msi/ms6119/Config.lb
@@ -25,7 +25,7 @@ default CONFIG_XIP_ROM_BASE = 0xffffffff
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 makerule ./failover.E
Index: cbv2/src/mainboard/msi/ms6119/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/msi/ms6119/Options.lb
+++ cbv2/src/mainboard/msi/ms6119/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -45,7 +45,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -65,11 +65,11 @@ uses CONFIG_PCI_ROM_RUN
 
 default CONFIG_ROM_SIZE = 256 * 1024
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_HAVE_HARD_RESET = 0
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 7		# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_VENDOR = "N/A"	# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_PART_NUMBER = "N/A"	# Override this in targets/*/Config.lb.
Index: cbv2/src/mainboard/msi/ms6147/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/msi/ms6147/Config.lb
+++ cbv2/src/mainboard/msi/ms6147/Config.lb
@@ -26,7 +26,7 @@ default CONFIG_XIP_ROM_BASE = 0xffffffff
 arch i386 end
 driver mainboard.o
 
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 
Index: cbv2/src/mainboard/msi/ms6147/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/msi/ms6147/Options.lb
+++ cbv2/src/mainboard/msi/ms6147/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -45,7 +45,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -65,11 +65,11 @@ uses CONFIG_PCI_ROM_RUN
 
 default CONFIG_ROM_SIZE = 256 * 1024
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_HAVE_HARD_RESET = 0
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 8		# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_VENDOR = "N/A"	# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_PART_NUMBER = "N/A"	# Override this in targets/*/Config.lb.
Index: cbv2/src/mainboard/msi/ms6156/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/msi/ms6156/Config.lb
+++ cbv2/src/mainboard/msi/ms6156/Config.lb
@@ -25,7 +25,7 @@ default CONFIG_XIP_ROM_BASE = 0xffffffff
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 makerule ./failover.E
Index: cbv2/src/mainboard/msi/ms6156/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/msi/ms6156/Options.lb
+++ cbv2/src/mainboard/msi/ms6156/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -45,7 +45,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -65,11 +65,11 @@ uses CONFIG_PCI_ROM_RUN
 
 default CONFIG_ROM_SIZE = 256 * 1024
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_HAVE_HARD_RESET = 0
 default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 7
 default CONFIG_MAINBOARD_VENDOR = "MSI"
 default CONFIG_MAINBOARD_PART_NUMBER = "MS-6156"
Index: cbv2/src/mainboard/msi/ms6178/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/msi/ms6178/Config.lb
+++ cbv2/src/mainboard/msi/ms6178/Config.lb
@@ -24,7 +24,7 @@ include /config/nofailovercalculation.lb
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 # object reset.o
 makerule ./failover.E
 	depends "$(CONFIG_MAINBOARD)/../../../arch/i386/lib/failover.c ../romcc"
Index: cbv2/src/mainboard/msi/ms6178/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/msi/ms6178/Options.lb
+++ cbv2/src/mainboard/msi/ms6178/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -46,7 +46,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -61,14 +61,14 @@ uses CONFIG_UDELAY_TSC
 uses CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2
 uses CONFIG_CONSOLE_VGA
 uses CONFIG_PCI_ROM_RUN
-uses CONFIG_HAVE_HIGH_TABLES
+uses CONFIG_WRITE_HIGH_TABLES
 uses CONFIG_VIDEO_MB
 
 default CONFIG_ROM_SIZE = 512 * 1024
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_HAVE_HARD_RESET = 0
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 4		# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_VENDOR = "N/A"	# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_PART_NUMBER = "N/A"	# Override this in targets/*/Config.lb.
@@ -94,6 +94,6 @@ default CONFIG_UDELAY_TSC = 1
 default CONFIG_TSC_X86RDTSC_CALIBRATE_WITH_TIMER2 = 1
 default CONFIG_CONSOLE_VGA = 1
 default CONFIG_PCI_ROM_RUN = 1
-default CONFIG_HAVE_HIGH_TABLES = 1
+default CONFIG_WRITE_HIGH_TABLES = 1
 default CONFIG_VIDEO_MB = 1
 end
Index: cbv2/src/mainboard/msi/ms7135/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/msi/ms7135/Config.lb
+++ cbv2/src/mainboard/msi/ms7135/Config.lb
@@ -39,11 +39,11 @@ driver mainboard.o
 # Needed by irq_tables and mptable and acpi_tables.
 object get_bus_conf.o
 
-if CONFIG_HAVE_MP_TABLE
+if CONFIG_GENERATE_MP_TABLE
 	object mptable.o
 end
 
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
 	object irq_tables.o
 end
 
Index: cbv2/src/mainboard/msi/ms7135/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/msi/ms7135/Options.lb
+++ cbv2/src/mainboard/msi/ms7135/Options.lb
@@ -20,8 +20,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_USE_FAILOVER_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
@@ -132,14 +132,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=13
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/msi/ms7260/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/msi/ms7260/Config.lb
+++ cbv2/src/mainboard/msi/ms7260/Config.lb
@@ -26,8 +26,8 @@ arch i386 end
 
 driver mainboard.o
 object get_bus_conf.o # Needed by irq_tables and mptable (and acpi_tables).
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 # object reset.o
 
   if CONFIG_USE_INIT
Index: cbv2/src/mainboard/msi/ms7260/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/msi/ms7260/Makefile.inc
+++ cbv2/src/mainboard/msi/ms7260/Makefile.inc
@@ -23,8 +23,8 @@ driver-y +=  mainboard.o
 
 #needed by irq_tables and mptable and acpi_tables
 obj-y += get_bus_conf.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 obj-$(CONFIG_USE_INIT) += cache_as_ram_auto.o
 obj-$(CONFIG_AP_CODE_IN_CAR) += apc_auto.o
 
Index: cbv2/src/mainboard/msi/ms7260/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/msi/ms7260/Options.lb
+++ cbv2/src/mainboard/msi/ms7260/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_USE_FAILOVER_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
@@ -104,9 +104,9 @@ default CONFIG_LB_MEM_TOPK = 2048	# 1MB 
 default CONFIG_HAVE_FALLBACK_BOOT = 1
 default CONFIG_HAVE_FAILOVER_BOOT = 1
 default CONFIG_HAVE_HARD_RESET = 1
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 11		# TODO: Check if correct.
-default CONFIG_HAVE_MP_TABLE = 1		# TODO: Check if correct.
+default CONFIG_GENERATE_MP_TABLE = 1		# TODO: Check if correct.
 default CONFIG_HAVE_OPTION_TABLE = 1
 default CONFIG_SMP = 1
 default CONFIG_MAX_CPUS = 2
Index: cbv2/src/mainboard/msi/ms9185/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/msi/ms9185/Config.lb
+++ cbv2/src/mainboard/msi/ms9185/Config.lb
@@ -39,11 +39,11 @@ driver mainboard.o
 #needed by irq_tables and mptable and acpi_tables
 object get_bus_conf.o
 
-if CONFIG_HAVE_MP_TABLE
+if CONFIG_GENERATE_MP_TABLE
        object mptable.o
 end
 
-if CONFIG_HAVE_PIRQ_TABLE
+if CONFIG_GENERATE_PIRQ_TABLE
        object irq_tables.o
 end
 
Index: cbv2/src/mainboard/msi/ms9185/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/msi/ms9185/Makefile.inc
+++ cbv2/src/mainboard/msi/ms9185/Makefile.inc
@@ -2,8 +2,8 @@ driver-y += mainboard.o
 
 # Needed by irq_tables and mptable and acpi_tables.
 obj-y += get_bus_conf.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/msi/ms9185/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/msi/ms9185/Options.lb
+++ cbv2/src/mainboard/msi/ms9185/Options.lb
@@ -22,9 +22,9 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_ACPI_SSDTX_NUM
 uses CONFIG_USE_FALLBACK_IMAGE
@@ -133,17 +133,17 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=11
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ## ACPI tables will be included
-#default CONFIG_HAVE_ACPI_TABLES=1
+#default CONFIG_GENERATE_ACPI_TABLES=1
 ## extra SSDT num
 #default CONFIG_ACPI_SSDTX_NUM=1
 
Index: cbv2/src/mainboard/msi/ms9282/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/msi/ms9282/Config.lb
+++ cbv2/src/mainboard/msi/ms9282/Config.lb
@@ -41,8 +41,8 @@ driver mainboard.o
 object get_bus_conf.o
 
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
 if CONFIG_USE_INIT
Index: cbv2/src/mainboard/msi/ms9282/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/msi/ms9282/Makefile.inc
+++ cbv2/src/mainboard/msi/ms9282/Makefile.inc
@@ -25,8 +25,8 @@ driver-y += ../../../drivers/i2c/adm1027
 
 #needed by irq_tables and mptable and acpi_tables
 obj-y += get_bus_conf.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 obj-$(CONFIG_USE_INIT) += cache_as_ram_auto.o
 obj-$(CONFIG_AP_CODE_IN_CAR) += apc_auto.o
 
Index: cbv2/src/mainboard/msi/ms9282/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/msi/ms9282/Options.lb
+++ cbv2/src/mainboard/msi/ms9282/Options.lb
@@ -22,8 +22,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -128,14 +128,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=11
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/nec/powermate2000/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/nec/powermate2000/Config.lb
+++ cbv2/src/mainboard/nec/powermate2000/Config.lb
@@ -24,7 +24,7 @@ include /config/nofailovercalculation.lb
 
 arch i386 end
 driver mainboard.o
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 # object reset.o
 makerule ./failover.E
 	depends "$(CONFIG_MAINBOARD)/../../../arch/i386/lib/failover.c ../romcc"
Index: cbv2/src/mainboard/nec/powermate2000/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/nec/powermate2000/Options.lb
+++ cbv2/src/mainboard/nec/powermate2000/Options.lb
@@ -18,8 +18,8 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -46,7 +46,7 @@ uses CONFIG_ROMBASE
 uses CONFIG_RAMBASE
 uses CONFIG_XIP_ROM_SIZE
 uses CONFIG_XIP_ROM_BASE
-uses CONFIG_HAVE_MP_TABLE
+uses CONFIG_GENERATE_MP_TABLE
 uses CONFIG_CROSS_COMPILE
 uses CC
 uses HOSTCC
@@ -64,9 +64,9 @@ uses CONFIG_PCI_ROM_RUN
 
 default CONFIG_ROM_SIZE = 512 * 1024
 default CONFIG_HAVE_FALLBACK_BOOT = 1
-default CONFIG_HAVE_MP_TABLE = 0
+default CONFIG_GENERATE_MP_TABLE = 0
 default CONFIG_HAVE_HARD_RESET = 0
-default CONFIG_HAVE_PIRQ_TABLE = 1
+default CONFIG_GENERATE_PIRQ_TABLE = 1
 default CONFIG_IRQ_SLOT_COUNT = 5		# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_VENDOR = "N/A"	# Override this in targets/*/Config.lb.
 default CONFIG_MAINBOARD_PART_NUMBER = "N/A"	# Override this in targets/*/Config.lb.
Index: cbv2/src/mainboard/newisys/khepri/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/newisys/khepri/Config.lb
+++ cbv2/src/mainboard/newisys/khepri/Config.lb
@@ -13,8 +13,8 @@ arch i386 end
 ##
 
 driver mainboard.o
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
 if CONFIG_USE_INIT
Index: cbv2/src/mainboard/newisys/khepri/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/newisys/khepri/Makefile.inc
+++ cbv2/src/mainboard/newisys/khepri/Makefile.inc
@@ -21,8 +21,8 @@
 
 driver-y += mainboard.o
 
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 
 # This is part of the conversion to init-obj and away from included code.
 
Index: cbv2/src/mainboard/newisys/khepri/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/newisys/khepri/Options.lb
+++ cbv2/src/mainboard/newisys/khepri/Options.lb
@@ -1,5 +1,5 @@
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
 uses CONFIG_USE_FALLBACK_IMAGE
 uses CONFIG_HAVE_FALLBACK_BOOT
 uses CONFIG_HAVE_HARD_RESET
@@ -85,14 +85,14 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=9
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/nvidia/l1_2pvv/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/nvidia/l1_2pvv/Config.lb
+++ cbv2/src/mainboard/nvidia/l1_2pvv/Config.lb
@@ -33,11 +33,11 @@ driver mainboard.o
 #needed by irq_tables and mptable and acpi_tables
 object get_bus_conf.o
 
-if CONFIG_HAVE_MP_TABLE object mptable.o end
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_MP_TABLE object mptable.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
-if CONFIG_HAVE_ACPI_TABLES
+if CONFIG_GENERATE_ACPI_TABLES
 	object acpi_tables.o
 	object fadt.o
 	makerule dsdt.c
Index: cbv2/src/mainboard/nvidia/l1_2pvv/Makefile.inc
===================================================================
--- cbv2.orig/src/mainboard/nvidia/l1_2pvv/Makefile.inc
+++ cbv2/src/mainboard/nvidia/l1_2pvv/Makefile.inc
@@ -23,8 +23,8 @@ driver-y +=  mainboard.o
 
 #needed by irq_tables and mptable and acpi_tables
 obj-y += get_bus_conf.o
-obj-$(CONFIG_HAVE_MP_TABLE) += mptable.o
-obj-$(CONFIG_HAVE_PIRQ_TABLE) += irq_tables.o
+obj-$(CONFIG_GENERATE_MP_TABLE) += mptable.o
+obj-$(CONFIG_GENERATE_PIRQ_TABLE) += irq_tables.o
 obj-$(CONFIG_USE_INIT) += cache_as_ram_auto.o
 obj-$(CONFIG_AP_CODE_IN_CAR) += apc_auto.o
 
Index: cbv2/src/mainboard/nvidia/l1_2pvv/Options.lb
===================================================================
--- cbv2.orig/src/mainboard/nvidia/l1_2pvv/Options.lb
+++ cbv2/src/mainboard/nvidia/l1_2pvv/Options.lb
@@ -19,9 +19,9 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_MP_TABLE
-uses CONFIG_HAVE_PIRQ_TABLE
-uses CONFIG_HAVE_ACPI_TABLES
+uses CONFIG_GENERATE_MP_TABLE
+uses CONFIG_GENERATE_PIRQ_TABLE
+uses CONFIG_GENERATE_ACPI_TABLES
 uses CONFIG_HAVE_ACPI_RESUME
 uses CONFIG_ACPI_SSDTX_NUM
 uses CONFIG_USE_FALLBACK_IMAGE
@@ -149,17 +149,17 @@ default CONFIG_HAVE_HARD_RESET=1
 ##
 ## Build code to export a programmable irq routing table
 ##
-default CONFIG_HAVE_PIRQ_TABLE=1
+default CONFIG_GENERATE_PIRQ_TABLE=1
 default CONFIG_IRQ_SLOT_COUNT=11
 
 ##
 ## Build code to export an x86 MP table
 ## Useful for specifying IRQ routing values
 ##
-default CONFIG_HAVE_MP_TABLE=1
+default CONFIG_GENERATE_MP_TABLE=1
 
 ## ACPI tables will be included
-default CONFIG_HAVE_ACPI_TABLES=0
+default CONFIG_GENERATE_ACPI_TABLES=0
 
 ##
 ## Build code to export a CMOS option table
Index: cbv2/src/mainboard/olpc/btest/Config.lb
===================================================================
--- cbv2.orig/src/mainboard/olpc/btest/Config.lb
+++ cbv2/src/mainboard/olpc/btest/Config.lb
@@ -14,7 +14,7 @@ arch i386 end
 
 driver mainboard.o
 
-if CONFIG_HAVE_PIRQ_TABLE object irq_tables.o end
+if CONFIG_GENERATE_PIRQ_TABLE object irq_tables.o end
 #object reset.o
 
 ##
